ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/Convert-UUlib/uulib/configure
Revision: 1.7
Committed: Thu Nov 6 13:33:41 2003 UTC (20 years, 6 months ago) by root
Branch: MAIN
Changes since 1.6: +1140 -2920 lines
Log Message:
*** empty log message ***

File Contents

# Content
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 "
16 ac_help="$ac_help
17 "
18
19 # Initialize some variables set by options.
20 # The variables have the same names as the options, with
21 # dashes changed to underlines.
22 build=NONE
23 cache_file=./config.cache
24 exec_prefix=NONE
25 host=NONE
26 no_create=
27 nonopt=NONE
28 no_recursion=
29 prefix=NONE
30 program_prefix=NONE
31 program_suffix=NONE
32 program_transform_name=s,x,x,
33 silent=
34 site=
35 srcdir=
36 target=NONE
37 verbose=
38 x_includes=NONE
39 x_libraries=NONE
40 bindir='${exec_prefix}/bin'
41 sbindir='${exec_prefix}/sbin'
42 libexecdir='${exec_prefix}/libexec'
43 datadir='${prefix}/share'
44 sysconfdir='${prefix}/etc'
45 sharedstatedir='${prefix}/com'
46 localstatedir='${prefix}/var'
47 libdir='${exec_prefix}/lib'
48 includedir='${prefix}/include'
49 oldincludedir='/usr/include'
50 infodir='${prefix}/info'
51 mandir='${prefix}/man'
52
53 # Initialize some other variables.
54 subdirs=
55 MFLAGS= MAKEFLAGS=
56 SHELL=${CONFIG_SHELL-/bin/sh}
57 # Maximum number of lines to put in a shell here document.
58 ac_max_here_lines=12
59
60 ac_prev=
61 for ac_option
62 do
63
64 # If the previous option needs an argument, assign it.
65 if test -n "$ac_prev"; then
66 eval "$ac_prev=\$ac_option"
67 ac_prev=
68 continue
69 fi
70
71 case "$ac_option" in
72 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
73 *) ac_optarg= ;;
74 esac
75
76 # Accept the important Cygnus configure options, so we can diagnose typos.
77
78 case "$ac_option" in
79
80 -bindir | --bindir | --bindi | --bind | --bin | --bi)
81 ac_prev=bindir ;;
82 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
83 bindir="$ac_optarg" ;;
84
85 -build | --build | --buil | --bui | --bu)
86 ac_prev=build ;;
87 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
88 build="$ac_optarg" ;;
89
90 -cache-file | --cache-file | --cache-fil | --cache-fi \
91 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
92 ac_prev=cache_file ;;
93 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
94 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
95 cache_file="$ac_optarg" ;;
96
97 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
98 ac_prev=datadir ;;
99 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
100 | --da=*)
101 datadir="$ac_optarg" ;;
102
103 -disable-* | --disable-*)
104 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
105 # Reject names that are not valid shell variable names.
106 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
107 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
108 fi
109 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
110 eval "enable_${ac_feature}=no" ;;
111
112 -enable-* | --enable-*)
113 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
114 # Reject names that are not valid shell variable names.
115 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
116 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
117 fi
118 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
119 case "$ac_option" in
120 *=*) ;;
121 *) ac_optarg=yes ;;
122 esac
123 eval "enable_${ac_feature}='$ac_optarg'" ;;
124
125 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
126 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
127 | --exec | --exe | --ex)
128 ac_prev=exec_prefix ;;
129 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
130 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
131 | --exec=* | --exe=* | --ex=*)
132 exec_prefix="$ac_optarg" ;;
133
134 -gas | --gas | --ga | --g)
135 # Obsolete; use --with-gas.
136 with_gas=yes ;;
137
138 -help | --help | --hel | --he)
139 # Omit some internal or obsolete options to make the list less imposing.
140 # This message is too long to be a string in the A/UX 3.1 sh.
141 cat << EOF
142 Usage: configure [options] [host]
143 Options: [defaults in brackets after descriptions]
144 Configuration:
145 --cache-file=FILE cache test results in FILE
146 --help print this message
147 --no-create do not create output files
148 --quiet, --silent do not print \`checking...' messages
149 --version print the version of autoconf that created configure
150 Directory and file names:
151 --prefix=PREFIX install architecture-independent files in PREFIX
152 [$ac_default_prefix]
153 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
154 [same as prefix]
155 --bindir=DIR user executables in DIR [EPREFIX/bin]
156 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
157 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
158 --datadir=DIR read-only architecture-independent data in DIR
159 [PREFIX/share]
160 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
161 --sharedstatedir=DIR modifiable architecture-independent data in DIR
162 [PREFIX/com]
163 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
164 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
165 --includedir=DIR C header files in DIR [PREFIX/include]
166 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
167 --infodir=DIR info documentation in DIR [PREFIX/info]
168 --mandir=DIR man documentation in DIR [PREFIX/man]
169 --srcdir=DIR find the sources in DIR [configure dir or ..]
170 --program-prefix=PREFIX prepend PREFIX to installed program names
171 --program-suffix=SUFFIX append SUFFIX to installed program names
172 --program-transform-name=PROGRAM
173 run sed PROGRAM on installed program names
174 EOF
175 cat << EOF
176 Host type:
177 --build=BUILD configure for building on BUILD [BUILD=HOST]
178 --host=HOST configure for HOST [guessed]
179 --target=TARGET configure for TARGET [TARGET=HOST]
180 Features and packages:
181 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
182 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
183 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
184 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
185 --x-includes=DIR X include files are in DIR
186 --x-libraries=DIR X library files are in DIR
187 EOF
188 if test -n "$ac_help"; then
189 echo "--enable and --with options recognized:$ac_help"
190 fi
191 exit 0 ;;
192
193 -host | --host | --hos | --ho)
194 ac_prev=host ;;
195 -host=* | --host=* | --hos=* | --ho=*)
196 host="$ac_optarg" ;;
197
198 -includedir | --includedir | --includedi | --included | --include \
199 | --includ | --inclu | --incl | --inc)
200 ac_prev=includedir ;;
201 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
202 | --includ=* | --inclu=* | --incl=* | --inc=*)
203 includedir="$ac_optarg" ;;
204
205 -infodir | --infodir | --infodi | --infod | --info | --inf)
206 ac_prev=infodir ;;
207 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
208 infodir="$ac_optarg" ;;
209
210 -libdir | --libdir | --libdi | --libd)
211 ac_prev=libdir ;;
212 -libdir=* | --libdir=* | --libdi=* | --libd=*)
213 libdir="$ac_optarg" ;;
214
215 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
216 | --libexe | --libex | --libe)
217 ac_prev=libexecdir ;;
218 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
219 | --libexe=* | --libex=* | --libe=*)
220 libexecdir="$ac_optarg" ;;
221
222 -localstatedir | --localstatedir | --localstatedi | --localstated \
223 | --localstate | --localstat | --localsta | --localst \
224 | --locals | --local | --loca | --loc | --lo)
225 ac_prev=localstatedir ;;
226 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
227 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
228 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
229 localstatedir="$ac_optarg" ;;
230
231 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
232 ac_prev=mandir ;;
233 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
234 mandir="$ac_optarg" ;;
235
236 -nfp | --nfp | --nf)
237 # Obsolete; use --without-fp.
238 with_fp=no ;;
239
240 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
241 | --no-cr | --no-c)
242 no_create=yes ;;
243
244 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
245 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
246 no_recursion=yes ;;
247
248 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
249 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
250 | --oldin | --oldi | --old | --ol | --o)
251 ac_prev=oldincludedir ;;
252 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
253 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
254 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
255 oldincludedir="$ac_optarg" ;;
256
257 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
258 ac_prev=prefix ;;
259 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
260 prefix="$ac_optarg" ;;
261
262 -program-prefix | --program-prefix | --program-prefi | --program-pref \
263 | --program-pre | --program-pr | --program-p)
264 ac_prev=program_prefix ;;
265 -program-prefix=* | --program-prefix=* | --program-prefi=* \
266 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
267 program_prefix="$ac_optarg" ;;
268
269 -program-suffix | --program-suffix | --program-suffi | --program-suff \
270 | --program-suf | --program-su | --program-s)
271 ac_prev=program_suffix ;;
272 -program-suffix=* | --program-suffix=* | --program-suffi=* \
273 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
274 program_suffix="$ac_optarg" ;;
275
276 -program-transform-name | --program-transform-name \
277 | --program-transform-nam | --program-transform-na \
278 | --program-transform-n | --program-transform- \
279 | --program-transform | --program-transfor \
280 | --program-transfo | --program-transf \
281 | --program-trans | --program-tran \
282 | --progr-tra | --program-tr | --program-t)
283 ac_prev=program_transform_name ;;
284 -program-transform-name=* | --program-transform-name=* \
285 | --program-transform-nam=* | --program-transform-na=* \
286 | --program-transform-n=* | --program-transform-=* \
287 | --program-transform=* | --program-transfor=* \
288 | --program-transfo=* | --program-transf=* \
289 | --program-trans=* | --program-tran=* \
290 | --progr-tra=* | --program-tr=* | --program-t=*)
291 program_transform_name="$ac_optarg" ;;
292
293 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
294 | -silent | --silent | --silen | --sile | --sil)
295 silent=yes ;;
296
297 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
298 ac_prev=sbindir ;;
299 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
300 | --sbi=* | --sb=*)
301 sbindir="$ac_optarg" ;;
302
303 -sharedstatedir | --sharedstatedir | --sharedstatedi \
304 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
305 | --sharedst | --shareds | --shared | --share | --shar \
306 | --sha | --sh)
307 ac_prev=sharedstatedir ;;
308 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
309 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
310 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
311 | --sha=* | --sh=*)
312 sharedstatedir="$ac_optarg" ;;
313
314 -site | --site | --sit)
315 ac_prev=site ;;
316 -site=* | --site=* | --sit=*)
317 site="$ac_optarg" ;;
318
319 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
320 ac_prev=srcdir ;;
321 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
322 srcdir="$ac_optarg" ;;
323
324 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
325 | --syscon | --sysco | --sysc | --sys | --sy)
326 ac_prev=sysconfdir ;;
327 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
328 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
329 sysconfdir="$ac_optarg" ;;
330
331 -target | --target | --targe | --targ | --tar | --ta | --t)
332 ac_prev=target ;;
333 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
334 target="$ac_optarg" ;;
335
336 -v | -verbose | --verbose | --verbos | --verbo | --verb)
337 verbose=yes ;;
338
339 -version | --version | --versio | --versi | --vers)
340 echo "configure generated by autoconf version 2.13"
341 exit 0 ;;
342
343 -with-* | --with-*)
344 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
345 # Reject names that are not valid shell variable names.
346 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
347 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
348 fi
349 ac_package=`echo $ac_package| sed 's/-/_/g'`
350 case "$ac_option" in
351 *=*) ;;
352 *) ac_optarg=yes ;;
353 esac
354 eval "with_${ac_package}='$ac_optarg'" ;;
355
356 -without-* | --without-*)
357 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
358 # Reject names that are not valid shell variable names.
359 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
360 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
361 fi
362 ac_package=`echo $ac_package| sed 's/-/_/g'`
363 eval "with_${ac_package}=no" ;;
364
365 --x)
366 # Obsolete; use --with-x.
367 with_x=yes ;;
368
369 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
370 | --x-incl | --x-inc | --x-in | --x-i)
371 ac_prev=x_includes ;;
372 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
373 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
374 x_includes="$ac_optarg" ;;
375
376 -x-libraries | --x-libraries | --x-librarie | --x-librari \
377 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
378 ac_prev=x_libraries ;;
379 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
380 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
381 x_libraries="$ac_optarg" ;;
382
383 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
384 ;;
385
386 *)
387 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
388 echo "configure: warning: $ac_option: invalid host type" 1>&2
389 fi
390 if test "x$nonopt" != xNONE; then
391 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
392 fi
393 nonopt="$ac_option"
394 ;;
395
396 esac
397 done
398
399 if test -n "$ac_prev"; then
400 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
401 fi
402
403 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
404
405 # File descriptor usage:
406 # 0 standard input
407 # 1 file creation
408 # 2 errors and warnings
409 # 3 some systems may open it to /dev/tty
410 # 4 used on the Kubota Titan
411 # 6 checking for... messages and results
412 # 5 compiler messages saved in config.log
413 if test "$silent" = yes; then
414 exec 6>/dev/null
415 else
416 exec 6>&1
417 fi
418 exec 5>./config.log
419
420 echo "\
421 This file contains any messages produced by compilers while
422 running configure, to aid debugging if configure makes a mistake.
423 " 1>&5
424
425 # Strip out --no-create and --no-recursion so they do not pile up.
426 # Also quote any args containing shell metacharacters.
427 ac_configure_args=
428 for ac_arg
429 do
430 case "$ac_arg" in
431 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
432 | --no-cr | --no-c) ;;
433 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
434 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
435 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
436 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
437 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
438 esac
439 done
440
441 # NLS nuisances.
442 # Only set these to C if already set. These must not be set unconditionally
443 # because not all systems understand e.g. LANG=C (notably SCO).
444 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
445 # Non-C LC_CTYPE values break the ctype check.
446 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
447 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
448 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
449 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
450
451 # confdefs.h avoids OS command line length limits that DEFS can exceed.
452 rm -rf conftest* confdefs.h
453 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
454 echo > confdefs.h
455
456 # A filename unique to this package, relative to the directory that
457 # configure is in, which we can look for to find out if srcdir is correct.
458 ac_unique_file=uulib.c
459
460 # Find the source files, if location was not specified.
461 if test -z "$srcdir"; then
462 ac_srcdir_defaulted=yes
463 # Try the directory containing this script, then its parent.
464 ac_prog=$0
465 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
466 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
467 srcdir=$ac_confdir
468 if test ! -r $srcdir/$ac_unique_file; then
469 srcdir=..
470 fi
471 else
472 ac_srcdir_defaulted=no
473 fi
474 if test ! -r $srcdir/$ac_unique_file; then
475 if test "$ac_srcdir_defaulted" = yes; then
476 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
477 else
478 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
479 fi
480 fi
481 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
482
483 # Prefer explicitly selected file to automatically selected ones.
484 if test -z "$CONFIG_SITE"; then
485 if test "x$prefix" != xNONE; then
486 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
487 else
488 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
489 fi
490 fi
491 for ac_site_file in $CONFIG_SITE; do
492 if test -r "$ac_site_file"; then
493 echo "loading site script $ac_site_file"
494 . "$ac_site_file"
495 fi
496 done
497
498 if test -r "$cache_file"; then
499 echo "loading cache $cache_file"
500 . $cache_file
501 else
502 echo "creating cache $cache_file"
503 > $cache_file
504 fi
505
506 ac_ext=c
507 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
508 ac_cpp='$CPP $CPPFLAGS'
509 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
510 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
511 cross_compiling=$ac_cv_prog_cc_cross
512
513 ac_exeext=
514 ac_objext=o
515 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
516 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
517 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
518 ac_n= ac_c='
519 ' ac_t=' '
520 else
521 ac_n=-n ac_c= ac_t=
522 fi
523 else
524 ac_n= ac_c='\c' ac_t=
525 fi
526
527
528
529
530
531 #
532 # package revision
533 #
534 VERSION=0.5
535 PATCH=19
536
537 # Check whether --with-cc or --without-cc was given.
538 if test "${with_cc+set}" = set; then
539 withval="$with_cc"
540 CC=$with_cc
541 fi
542
543 # Check whether --with-cflags or --without-cflags was given.
544 if test "${with_cflags+set}" = set; then
545 withval="$with_cflags"
546 CFLAGS=$with_cflags
547 fi
548
549
550 # Extract the first word of "gcc", so it can be a program name with args.
551 set dummy gcc; ac_word=$2
552 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
553 echo "configure:554: checking for $ac_word" >&5
554 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
555 echo $ac_n "(cached) $ac_c" 1>&6
556 else
557 if test -n "$CC"; then
558 ac_cv_prog_CC="$CC" # Let the user override the test.
559 else
560 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
561 ac_dummy="$PATH"
562 for ac_dir in $ac_dummy; do
563 test -z "$ac_dir" && ac_dir=.
564 if test -f $ac_dir/$ac_word; then
565 ac_cv_prog_CC="gcc"
566 break
567 fi
568 done
569 IFS="$ac_save_ifs"
570 fi
571 fi
572 CC="$ac_cv_prog_CC"
573 if test -n "$CC"; then
574 echo "$ac_t""$CC" 1>&6
575 else
576 echo "$ac_t""no" 1>&6
577 fi
578
579 if test -z "$CC"; then
580 # Extract the first word of "cc", so it can be a program name with args.
581 set dummy cc; ac_word=$2
582 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
583 echo "configure:584: checking for $ac_word" >&5
584 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
585 echo $ac_n "(cached) $ac_c" 1>&6
586 else
587 if test -n "$CC"; then
588 ac_cv_prog_CC="$CC" # Let the user override the test.
589 else
590 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
591 ac_prog_rejected=no
592 ac_dummy="$PATH"
593 for ac_dir in $ac_dummy; do
594 test -z "$ac_dir" && ac_dir=.
595 if test -f $ac_dir/$ac_word; then
596 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
597 ac_prog_rejected=yes
598 continue
599 fi
600 ac_cv_prog_CC="cc"
601 break
602 fi
603 done
604 IFS="$ac_save_ifs"
605 if test $ac_prog_rejected = yes; then
606 # We found a bogon in the path, so make sure we never use it.
607 set dummy $ac_cv_prog_CC
608 shift
609 if test $# -gt 0; then
610 # We chose a different compiler from the bogus one.
611 # However, it has the same basename, so the bogon will be chosen
612 # first if we set CC to just the basename; use the full file name.
613 shift
614 set dummy "$ac_dir/$ac_word" "$@"
615 shift
616 ac_cv_prog_CC="$@"
617 fi
618 fi
619 fi
620 fi
621 CC="$ac_cv_prog_CC"
622 if test -n "$CC"; then
623 echo "$ac_t""$CC" 1>&6
624 else
625 echo "$ac_t""no" 1>&6
626 fi
627
628 if test -z "$CC"; then
629 case "`uname -s`" in
630 *win32* | *WIN32*)
631 # Extract the first word of "cl", so it can be a program name with args.
632 set dummy cl; ac_word=$2
633 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
634 echo "configure:635: checking for $ac_word" >&5
635 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
636 echo $ac_n "(cached) $ac_c" 1>&6
637 else
638 if test -n "$CC"; then
639 ac_cv_prog_CC="$CC" # Let the user override the test.
640 else
641 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
642 ac_dummy="$PATH"
643 for ac_dir in $ac_dummy; do
644 test -z "$ac_dir" && ac_dir=.
645 if test -f $ac_dir/$ac_word; then
646 ac_cv_prog_CC="cl"
647 break
648 fi
649 done
650 IFS="$ac_save_ifs"
651 fi
652 fi
653 CC="$ac_cv_prog_CC"
654 if test -n "$CC"; then
655 echo "$ac_t""$CC" 1>&6
656 else
657 echo "$ac_t""no" 1>&6
658 fi
659 ;;
660 esac
661 fi
662 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
663 fi
664
665 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
666 echo "configure:667: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
667
668 ac_ext=c
669 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
670 ac_cpp='$CPP $CPPFLAGS'
671 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
672 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
673 cross_compiling=$ac_cv_prog_cc_cross
674
675 cat > conftest.$ac_ext << EOF
676
677 #line 678 "configure"
678 #include "confdefs.h"
679
680 main(){return(0);}
681 EOF
682 if { (eval echo configure:683: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
683 ac_cv_prog_cc_works=yes
684 # If we can't run a trivial program, we are probably using a cross compiler.
685 if (./conftest; exit) 2>/dev/null; then
686 ac_cv_prog_cc_cross=no
687 else
688 ac_cv_prog_cc_cross=yes
689 fi
690 else
691 echo "configure: failed program was:" >&5
692 cat conftest.$ac_ext >&5
693 ac_cv_prog_cc_works=no
694 fi
695 rm -fr conftest*
696 ac_ext=c
697 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
698 ac_cpp='$CPP $CPPFLAGS'
699 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
700 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
701 cross_compiling=$ac_cv_prog_cc_cross
702
703 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
704 if test $ac_cv_prog_cc_works = no; then
705 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
706 fi
707 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
708 echo "configure:709: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
709 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
710 cross_compiling=$ac_cv_prog_cc_cross
711
712 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
713 echo "configure:714: checking whether we are using GNU C" >&5
714 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
715 echo $ac_n "(cached) $ac_c" 1>&6
716 else
717 cat > conftest.c <<EOF
718 #ifdef __GNUC__
719 yes;
720 #endif
721 EOF
722 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:723: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
723 ac_cv_prog_gcc=yes
724 else
725 ac_cv_prog_gcc=no
726 fi
727 fi
728
729 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
730
731 if test $ac_cv_prog_gcc = yes; then
732 GCC=yes
733 else
734 GCC=
735 fi
736
737 ac_test_CFLAGS="${CFLAGS+set}"
738 ac_save_CFLAGS="$CFLAGS"
739 CFLAGS=
740 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
741 echo "configure:742: checking whether ${CC-cc} accepts -g" >&5
742 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
743 echo $ac_n "(cached) $ac_c" 1>&6
744 else
745 echo 'void f(){}' > conftest.c
746 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
747 ac_cv_prog_cc_g=yes
748 else
749 ac_cv_prog_cc_g=no
750 fi
751 rm -f conftest*
752
753 fi
754
755 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
756 if test "$ac_test_CFLAGS" = set; then
757 CFLAGS="$ac_save_CFLAGS"
758 elif test $ac_cv_prog_cc_g = yes; then
759 if test "$GCC" = yes; then
760 CFLAGS="-g -O2"
761 else
762 CFLAGS="-g"
763 fi
764 else
765 if test "$GCC" = yes; then
766 CFLAGS="-O2"
767 else
768 CFLAGS=
769 fi
770 fi
771
772 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
773 echo "configure:774: checking how to run the C preprocessor" >&5
774 # On Suns, sometimes $CPP names a directory.
775 if test -n "$CPP" && test -d "$CPP"; then
776 CPP=
777 fi
778 if test -z "$CPP"; then
779 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
780 echo $ac_n "(cached) $ac_c" 1>&6
781 else
782 # This must be in double quotes, not single quotes, because CPP may get
783 # substituted into the Makefile and "${CC-cc}" will confuse make.
784 CPP="${CC-cc} -E"
785 # On the NeXT, cc -E runs the code through the compiler's parser,
786 # not just through cpp.
787 cat > conftest.$ac_ext <<EOF
788 #line 789 "configure"
789 #include "confdefs.h"
790 #include <assert.h>
791 Syntax Error
792 EOF
793 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
794 { (eval echo configure:795: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
795 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
796 if test -z "$ac_err"; then
797 :
798 else
799 echo "$ac_err" >&5
800 echo "configure: failed program was:" >&5
801 cat conftest.$ac_ext >&5
802 rm -rf conftest*
803 CPP="${CC-cc} -E -traditional-cpp"
804 cat > conftest.$ac_ext <<EOF
805 #line 806 "configure"
806 #include "confdefs.h"
807 #include <assert.h>
808 Syntax Error
809 EOF
810 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
811 { (eval echo configure:812: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
812 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
813 if test -z "$ac_err"; then
814 :
815 else
816 echo "$ac_err" >&5
817 echo "configure: failed program was:" >&5
818 cat conftest.$ac_ext >&5
819 rm -rf conftest*
820 CPP="${CC-cc} -nologo -E"
821 cat > conftest.$ac_ext <<EOF
822 #line 823 "configure"
823 #include "confdefs.h"
824 #include <assert.h>
825 Syntax Error
826 EOF
827 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
828 { (eval echo configure:829: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
829 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
830 if test -z "$ac_err"; then
831 :
832 else
833 echo "$ac_err" >&5
834 echo "configure: failed program was:" >&5
835 cat conftest.$ac_ext >&5
836 rm -rf conftest*
837 CPP=/lib/cpp
838 fi
839 rm -f conftest*
840 fi
841 rm -f conftest*
842 fi
843 rm -f conftest*
844 ac_cv_prog_CPP="$CPP"
845 fi
846 CPP="$ac_cv_prog_CPP"
847 else
848 ac_cv_prog_CPP="$CPP"
849 fi
850 echo "$ac_t""$CPP" 1>&6
851
852
853 echo $ac_n "checking if HP-UX ansi C compiler flags are needed""... $ac_c" 1>&6
854 echo "configure:855: checking if HP-UX ansi C compiler flags are needed" >&5
855
856 os=`uname -s | tr 'A-Z' 'a-z'`
857 ac_cv_hpux_flags=no
858 if test "$os" = hp-ux ; then
859 if test "$ac_cv_prog_gcc" = yes ; then
860 if test "$CFLAGS" != "" ; then
861 # Shouldn't be in there.
862 CFLAGS=`echo "$CFLAGS" | sed 's/-Aa//g'`
863 fi
864 else
865 # If you're not using gcc, then you better have a cc/c89
866 # that is usable. If you have the barebones compiler, it
867 # won't work. The good compiler uses -Aa for the ANSI
868 # compatible stuff.
869 x=`echo $CFLAGS | grep 'Aa' 2>/dev/null`
870 if test "$x" = "" ; then
871 CFLAGS="$CFLAGS -Aa"
872 fi
873 ac_cv_hpux_flags=yes
874 fi
875 # Also add _HPUX_SOURCE to get the extended namespace.
876 x=`echo $CFLAGS | grep '_HPUX_SOURCE' 2>/dev/null`
877 if test "$x" = "" ; then
878 CFLAGS="$CFLAGS -D_HPUX_SOURCE"
879 fi
880 fi
881 echo "$ac_t""$ac_cv_hpux_flags" 1>&6
882
883 if test "$CFLAGS" = "" ; then
884 CFLAGS="-O"
885 elif test "$ac_cv_prog_gcc" = "yes" ; then
886 case "$CFLAGS" in
887 *"-g -O"*)
888 #echo "using -g as default gcc CFLAGS" 1>&6
889 CFLAGS=`echo $CFLAGS | sed 's/-g\ -O/-O/'`
890 ;;
891 *"-O -g"*)
892 # Leave the -g, but remove all -O options.
893 #echo "using -g as default gcc CFLAGS" 1>&6
894 CFLAGS=`echo $CFLAGS | sed 's/-O\ -g/-O/'`
895 ;;
896 esac
897 fi
898
899
900 echo $ac_n "checking if the compiler supports function prototypes""... $ac_c" 1>&6
901 echo "configure:902: checking if the compiler supports function prototypes" >&5
902 cat > conftest.$ac_ext <<EOF
903 #line 904 "configure"
904 #include "confdefs.h"
905
906 int main() {
907 extern void exit(int status);
908 ; return 0; }
909 EOF
910 if { (eval echo configure:911: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
911 rm -rf conftest*
912 wi_cv_prototypes=yes
913 cat >> confdefs.h <<\EOF
914 #define PROTOTYPES 1
915 EOF
916
917 else
918 echo "configure: failed program was:" >&5
919 cat conftest.$ac_ext >&5
920 rm -rf conftest*
921 wi_cv_prototypes=no
922 fi
923 rm -f conftest*
924 echo "$ac_t""$wi_cv_prototypes" 1>&6
925
926 echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
927 echo "configure:928: checking whether ${MAKE-make} sets \${MAKE}" >&5
928 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
929 if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
930 echo $ac_n "(cached) $ac_c" 1>&6
931 else
932 cat > conftestmake <<\EOF
933 all:
934 @echo 'ac_maketemp="${MAKE}"'
935 EOF
936 # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
937 eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
938 if test -n "$ac_maketemp"; then
939 eval ac_cv_prog_make_${ac_make}_set=yes
940 else
941 eval ac_cv_prog_make_${ac_make}_set=no
942 fi
943 rm -f conftestmake
944 fi
945 if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
946 echo "$ac_t""yes" 1>&6
947 SET_MAKE=
948 else
949 echo "$ac_t""no" 1>&6
950 SET_MAKE="MAKE=${MAKE-make}"
951 fi
952
953 # Extract the first word of "ranlib", so it can be a program name with args.
954 set dummy ranlib; ac_word=$2
955 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
956 echo "configure:957: checking for $ac_word" >&5
957 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
958 echo $ac_n "(cached) $ac_c" 1>&6
959 else
960 if test -n "$RANLIB"; then
961 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
962 else
963 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
964 ac_dummy="$PATH"
965 for ac_dir in $ac_dummy; do
966 test -z "$ac_dir" && ac_dir=.
967 if test -f $ac_dir/$ac_word; then
968 ac_cv_prog_RANLIB="ranlib"
969 break
970 fi
971 done
972 IFS="$ac_save_ifs"
973 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
974 fi
975 fi
976 RANLIB="$ac_cv_prog_RANLIB"
977 if test -n "$RANLIB"; then
978 echo "$ac_t""$RANLIB" 1>&6
979 else
980 echo "$ac_t""no" 1>&6
981 fi
982
983
984 if test "$wi_cv_prototypes" = no ; then
985 echo "configure: warning: Your compiler does not support function prototyping and" 1>&2
986 echo "configure: warning: is not able to properly compile this package. What a pity." 1>&2
987 echo "configure: warning: Get gcc, or any compiler that supports function prototypes." 1>&2
988 exit 1
989 fi
990
991 #
992 # Checks for header files and library functions
993 #
994
995 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
996 echo "configure:997: checking for ANSI C header files" >&5
997 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
998 echo $ac_n "(cached) $ac_c" 1>&6
999 else
1000 cat > conftest.$ac_ext <<EOF
1001 #line 1002 "configure"
1002 #include "confdefs.h"
1003 #include <stdlib.h>
1004 #include <stdarg.h>
1005 #include <string.h>
1006 #include <float.h>
1007 EOF
1008 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1009 { (eval echo configure:1010: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1010 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1011 if test -z "$ac_err"; then
1012 rm -rf conftest*
1013 ac_cv_header_stdc=yes
1014 else
1015 echo "$ac_err" >&5
1016 echo "configure: failed program was:" >&5
1017 cat conftest.$ac_ext >&5
1018 rm -rf conftest*
1019 ac_cv_header_stdc=no
1020 fi
1021 rm -f conftest*
1022
1023 if test $ac_cv_header_stdc = yes; then
1024 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1025 cat > conftest.$ac_ext <<EOF
1026 #line 1027 "configure"
1027 #include "confdefs.h"
1028 #include <string.h>
1029 EOF
1030 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1031 egrep "memchr" >/dev/null 2>&1; then
1032 :
1033 else
1034 rm -rf conftest*
1035 ac_cv_header_stdc=no
1036 fi
1037 rm -f conftest*
1038
1039 fi
1040
1041 if test $ac_cv_header_stdc = yes; then
1042 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1043 cat > conftest.$ac_ext <<EOF
1044 #line 1045 "configure"
1045 #include "confdefs.h"
1046 #include <stdlib.h>
1047 EOF
1048 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1049 egrep "free" >/dev/null 2>&1; then
1050 :
1051 else
1052 rm -rf conftest*
1053 ac_cv_header_stdc=no
1054 fi
1055 rm -f conftest*
1056
1057 fi
1058
1059 if test $ac_cv_header_stdc = yes; then
1060 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1061 if test "$cross_compiling" = yes; then
1062 :
1063 else
1064 cat > conftest.$ac_ext <<EOF
1065 #line 1066 "configure"
1066 #include "confdefs.h"
1067 #include <ctype.h>
1068 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1069 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1070 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1071 int main () { int i; for (i = 0; i < 256; i++)
1072 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1073 exit (0); }
1074
1075 EOF
1076 if { (eval echo configure:1077: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1077 then
1078 :
1079 else
1080 echo "configure: failed program was:" >&5
1081 cat conftest.$ac_ext >&5
1082 rm -fr conftest*
1083 ac_cv_header_stdc=no
1084 fi
1085 rm -fr conftest*
1086 fi
1087
1088 fi
1089 fi
1090
1091 echo "$ac_t""$ac_cv_header_stdc" 1>&6
1092 if test $ac_cv_header_stdc = yes; then
1093 cat >> confdefs.h <<\EOF
1094 #define STDC_HEADERS 1
1095 EOF
1096
1097 fi
1098
1099 echo $ac_n "checking for size_t""... $ac_c" 1>&6
1100 echo "configure:1101: checking for size_t" >&5
1101 if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1102 echo $ac_n "(cached) $ac_c" 1>&6
1103 else
1104 cat > conftest.$ac_ext <<EOF
1105 #line 1106 "configure"
1106 #include "confdefs.h"
1107 #include <sys/types.h>
1108 #if STDC_HEADERS
1109 #include <stdlib.h>
1110 #include <stddef.h>
1111 #endif
1112 EOF
1113 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1114 egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1115 rm -rf conftest*
1116 ac_cv_type_size_t=yes
1117 else
1118 rm -rf conftest*
1119 ac_cv_type_size_t=no
1120 fi
1121 rm -f conftest*
1122
1123 fi
1124 echo "$ac_t""$ac_cv_type_size_t" 1>&6
1125 if test $ac_cv_type_size_t = no; then
1126 cat >> confdefs.h <<\EOF
1127 #define size_t unsigned
1128 EOF
1129
1130 fi
1131
1132 echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1133 echo "configure:1134: checking whether time.h and sys/time.h may both be included" >&5
1134 if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1135 echo $ac_n "(cached) $ac_c" 1>&6
1136 else
1137 cat > conftest.$ac_ext <<EOF
1138 #line 1139 "configure"
1139 #include "confdefs.h"
1140 #include <sys/types.h>
1141 #include <sys/time.h>
1142 #include <time.h>
1143 int main() {
1144 struct tm *tp;
1145 ; return 0; }
1146 EOF
1147 if { (eval echo configure:1148: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1148 rm -rf conftest*
1149 ac_cv_header_time=yes
1150 else
1151 echo "configure: failed program was:" >&5
1152 cat conftest.$ac_ext >&5
1153 rm -rf conftest*
1154 ac_cv_header_time=no
1155 fi
1156 rm -f conftest*
1157 fi
1158
1159 echo "$ac_t""$ac_cv_header_time" 1>&6
1160 if test $ac_cv_header_time = yes; then
1161 cat >> confdefs.h <<\EOF
1162 #define TIME_WITH_SYS_TIME 1
1163 EOF
1164
1165 fi
1166
1167 for ac_hdr in fcntl.h unistd.h memory.h malloc.h errno.h
1168 do
1169 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1170 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1171 echo "configure:1172: checking for $ac_hdr" >&5
1172 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1173 echo $ac_n "(cached) $ac_c" 1>&6
1174 else
1175 cat > conftest.$ac_ext <<EOF
1176 #line 1177 "configure"
1177 #include "confdefs.h"
1178 #include <$ac_hdr>
1179 EOF
1180 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1181 { (eval echo configure:1182: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1182 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1183 if test -z "$ac_err"; then
1184 rm -rf conftest*
1185 eval "ac_cv_header_$ac_safe=yes"
1186 else
1187 echo "$ac_err" >&5
1188 echo "configure: failed program was:" >&5
1189 cat conftest.$ac_ext >&5
1190 rm -rf conftest*
1191 eval "ac_cv_header_$ac_safe=no"
1192 fi
1193 rm -f conftest*
1194 fi
1195 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1196 echo "$ac_t""yes" 1>&6
1197 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1198 cat >> confdefs.h <<EOF
1199 #define $ac_tr_hdr 1
1200 EOF
1201
1202 else
1203 echo "$ac_t""no" 1>&6
1204 fi
1205 done
1206
1207 for ac_hdr in io.h sys/time.h
1208 do
1209 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1210 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1211 echo "configure:1212: checking for $ac_hdr" >&5
1212 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1213 echo $ac_n "(cached) $ac_c" 1>&6
1214 else
1215 cat > conftest.$ac_ext <<EOF
1216 #line 1217 "configure"
1217 #include "confdefs.h"
1218 #include <$ac_hdr>
1219 EOF
1220 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1221 { (eval echo configure:1222: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1222 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1223 if test -z "$ac_err"; then
1224 rm -rf conftest*
1225 eval "ac_cv_header_$ac_safe=yes"
1226 else
1227 echo "$ac_err" >&5
1228 echo "configure: failed program was:" >&5
1229 cat conftest.$ac_ext >&5
1230 rm -rf conftest*
1231 eval "ac_cv_header_$ac_safe=no"
1232 fi
1233 rm -f conftest*
1234 fi
1235 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1236 echo "$ac_t""yes" 1>&6
1237 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1238 cat >> confdefs.h <<EOF
1239 #define $ac_tr_hdr 1
1240 EOF
1241
1242 else
1243 echo "$ac_t""no" 1>&6
1244 fi
1245 done
1246
1247 for ac_func in gettimeofday
1248 do
1249 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1250 echo "configure:1251: checking for $ac_func" >&5
1251 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1252 echo $ac_n "(cached) $ac_c" 1>&6
1253 else
1254 cat > conftest.$ac_ext <<EOF
1255 #line 1256 "configure"
1256 #include "confdefs.h"
1257 /* System header to define __stub macros and hopefully few prototypes,
1258 which can conflict with char $ac_func(); below. */
1259 #include <assert.h>
1260 /* Override any gcc2 internal prototype to avoid an error. */
1261 /* We use char because int might match the return type of a gcc2
1262 builtin and then its argument prototype would still apply. */
1263 char $ac_func();
1264
1265 int main() {
1266
1267 /* The GNU C library defines this for functions which it implements
1268 to always fail with ENOSYS. Some functions are actually named
1269 something starting with __ and the normal name is an alias. */
1270 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1271 choke me
1272 #else
1273 $ac_func();
1274 #endif
1275
1276 ; return 0; }
1277 EOF
1278 if { (eval echo configure:1279: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1279 rm -rf conftest*
1280 eval "ac_cv_func_$ac_func=yes"
1281 else
1282 echo "configure: failed program was:" >&5
1283 cat conftest.$ac_ext >&5
1284 rm -rf conftest*
1285 eval "ac_cv_func_$ac_func=no"
1286 fi
1287 rm -f conftest*
1288 fi
1289
1290 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1291 echo "$ac_t""yes" 1>&6
1292 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1293 cat >> confdefs.h <<EOF
1294 #define $ac_tr_func 1
1295 EOF
1296
1297 else
1298 echo "$ac_t""no" 1>&6
1299 fi
1300 done
1301
1302
1303 echo $ac_n "checking for tempnam""... $ac_c" 1>&6
1304 echo "configure:1305: checking for tempnam" >&5
1305 if eval "test \"`echo '$''{'ac_cv_func_tempnam'+set}'`\" = set"; then
1306 echo $ac_n "(cached) $ac_c" 1>&6
1307 else
1308 cat > conftest.$ac_ext <<EOF
1309 #line 1310 "configure"
1310 #include "confdefs.h"
1311 /* System header to define __stub macros and hopefully few prototypes,
1312 which can conflict with char tempnam(); below. */
1313 #include <assert.h>
1314 /* Override any gcc2 internal prototype to avoid an error. */
1315 /* We use char because int might match the return type of a gcc2
1316 builtin and then its argument prototype would still apply. */
1317 char tempnam();
1318
1319 int main() {
1320
1321 /* The GNU C library defines this for functions which it implements
1322 to always fail with ENOSYS. Some functions are actually named
1323 something starting with __ and the normal name is an alias. */
1324 #if defined (__stub_tempnam) || defined (__stub___tempnam)
1325 choke me
1326 #else
1327 tempnam();
1328 #endif
1329
1330 ; return 0; }
1331 EOF
1332 if { (eval echo configure:1333: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1333 rm -rf conftest*
1334 eval "ac_cv_func_tempnam=yes"
1335 else
1336 echo "configure: failed program was:" >&5
1337 cat conftest.$ac_ext >&5
1338 rm -rf conftest*
1339 eval "ac_cv_func_tempnam=no"
1340 fi
1341 rm -f conftest*
1342 fi
1343
1344 if eval "test \"`echo '$ac_cv_func_'tempnam`\" = yes"; then
1345 echo "$ac_t""yes" 1>&6
1346 :
1347 else
1348 echo "$ac_t""no" 1>&6
1349 cat >> confdefs.h <<\EOF
1350 #define tempnam FP_tempnam
1351 EOF
1352
1353 fi
1354
1355
1356 echo $ac_n "checking for chmod""... $ac_c" 1>&6
1357 echo "configure:1358: checking for chmod" >&5
1358 if eval "test \"`echo '$''{'ac_cv_func_chmod'+set}'`\" = set"; then
1359 echo $ac_n "(cached) $ac_c" 1>&6
1360 else
1361 cat > conftest.$ac_ext <<EOF
1362 #line 1363 "configure"
1363 #include "confdefs.h"
1364 /* System header to define __stub macros and hopefully few prototypes,
1365 which can conflict with char chmod(); below. */
1366 #include <assert.h>
1367 /* Override any gcc2 internal prototype to avoid an error. */
1368 /* We use char because int might match the return type of a gcc2
1369 builtin and then its argument prototype would still apply. */
1370 char chmod();
1371
1372 int main() {
1373
1374 /* The GNU C library defines this for functions which it implements
1375 to always fail with ENOSYS. Some functions are actually named
1376 something starting with __ and the normal name is an alias. */
1377 #if defined (__stub_chmod) || defined (__stub___chmod)
1378 choke me
1379 #else
1380 chmod();
1381 #endif
1382
1383 ; return 0; }
1384 EOF
1385 if { (eval echo configure:1386: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1386 rm -rf conftest*
1387 eval "ac_cv_func_chmod=yes"
1388 else
1389 echo "configure: failed program was:" >&5
1390 cat conftest.$ac_ext >&5
1391 rm -rf conftest*
1392 eval "ac_cv_func_chmod=no"
1393 fi
1394 rm -f conftest*
1395 fi
1396
1397 if eval "test \"`echo '$ac_cv_func_'chmod`\" = yes"; then
1398 echo "$ac_t""yes" 1>&6
1399 cat >> confdefs.h <<\EOF
1400 #define HAVE_CHMOD 1
1401 EOF
1402
1403 else
1404 echo "$ac_t""no" 1>&6
1405 fi
1406
1407 echo $ac_n "checking for umask""... $ac_c" 1>&6
1408 echo "configure:1409: checking for umask" >&5
1409 if eval "test \"`echo '$''{'ac_cv_func_umask'+set}'`\" = set"; then
1410 echo $ac_n "(cached) $ac_c" 1>&6
1411 else
1412 cat > conftest.$ac_ext <<EOF
1413 #line 1414 "configure"
1414 #include "confdefs.h"
1415 /* System header to define __stub macros and hopefully few prototypes,
1416 which can conflict with char umask(); below. */
1417 #include <assert.h>
1418 /* Override any gcc2 internal prototype to avoid an error. */
1419 /* We use char because int might match the return type of a gcc2
1420 builtin and then its argument prototype would still apply. */
1421 char umask();
1422
1423 int main() {
1424
1425 /* The GNU C library defines this for functions which it implements
1426 to always fail with ENOSYS. Some functions are actually named
1427 something starting with __ and the normal name is an alias. */
1428 #if defined (__stub_umask) || defined (__stub___umask)
1429 choke me
1430 #else
1431 umask();
1432 #endif
1433
1434 ; return 0; }
1435 EOF
1436 if { (eval echo configure:1437: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1437 rm -rf conftest*
1438 eval "ac_cv_func_umask=yes"
1439 else
1440 echo "configure: failed program was:" >&5
1441 cat conftest.$ac_ext >&5
1442 rm -rf conftest*
1443 eval "ac_cv_func_umask=no"
1444 fi
1445 rm -f conftest*
1446 fi
1447
1448 if eval "test \"`echo '$ac_cv_func_'umask`\" = yes"; then
1449 echo "$ac_t""yes" 1>&6
1450 cat >> confdefs.h <<\EOF
1451 #define HAVE_UMASK 1
1452 EOF
1453
1454 else
1455 echo "$ac_t""no" 1>&6
1456 fi
1457
1458 echo $ac_n "checking for mkstemp""... $ac_c" 1>&6
1459 echo "configure:1460: checking for mkstemp" >&5
1460 if eval "test \"`echo '$''{'ac_cv_func_mkstemp'+set}'`\" = set"; then
1461 echo $ac_n "(cached) $ac_c" 1>&6
1462 else
1463 cat > conftest.$ac_ext <<EOF
1464 #line 1465 "configure"
1465 #include "confdefs.h"
1466 /* System header to define __stub macros and hopefully few prototypes,
1467 which can conflict with char mkstemp(); below. */
1468 #include <assert.h>
1469 /* Override any gcc2 internal prototype to avoid an error. */
1470 /* We use char because int might match the return type of a gcc2
1471 builtin and then its argument prototype would still apply. */
1472 char mkstemp();
1473
1474 int main() {
1475
1476 /* The GNU C library defines this for functions which it implements
1477 to always fail with ENOSYS. Some functions are actually named
1478 something starting with __ and the normal name is an alias. */
1479 #if defined (__stub_mkstemp) || defined (__stub___mkstemp)
1480 choke me
1481 #else
1482 mkstemp();
1483 #endif
1484
1485 ; return 0; }
1486 EOF
1487 if { (eval echo configure:1488: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1488 rm -rf conftest*
1489 eval "ac_cv_func_mkstemp=yes"
1490 else
1491 echo "configure: failed program was:" >&5
1492 cat conftest.$ac_ext >&5
1493 rm -rf conftest*
1494 eval "ac_cv_func_mkstemp=no"
1495 fi
1496 rm -f conftest*
1497 fi
1498
1499 if eval "test \"`echo '$ac_cv_func_'mkstemp`\" = yes"; then
1500 echo "$ac_t""yes" 1>&6
1501 cat >> confdefs.h <<\EOF
1502 #define HAVE_MKSTEMP 1
1503 EOF
1504
1505 else
1506 echo "$ac_t""no" 1>&6
1507 fi
1508
1509
1510 #
1511 # strerror might be internally defined. this would cause a
1512 # CHECK_FUNCS(strerror) to fail because it'd be called with
1513 # zero arguments. So use our own code.
1514 #
1515 echo $ac_n "checking for strerror""... $ac_c" 1>&6
1516 echo "configure:1517: checking for strerror" >&5
1517 cat > conftest.$ac_ext <<EOF
1518 #line 1519 "configure"
1519 #include "confdefs.h"
1520
1521 char *blubb() { return (char *) strerror (42); }
1522
1523 int main() {
1524
1525 (void) blubb();
1526
1527 ; return 0; }
1528 EOF
1529 if { (eval echo configure:1530: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1530 rm -rf conftest*
1531 have_strerror=yes
1532 else
1533 echo "configure: failed program was:" >&5
1534 cat conftest.$ac_ext >&5
1535 rm -rf conftest*
1536 cat >> confdefs.h <<\EOF
1537 #define strerror FP_strerror
1538 EOF
1539
1540 have_strerror=no
1541 fi
1542 rm -f conftest*
1543 echo "$ac_t""$have_strerror" 1>&6
1544
1545 echo $ac_n "checking for stdin""... $ac_c" 1>&6
1546 echo "configure:1547: checking for stdin" >&5
1547 cat > conftest.$ac_ext <<EOF
1548 #line 1549 "configure"
1549 #include "confdefs.h"
1550
1551 #include <stdio.h>
1552 char *blubb() { FILE *in, *out; in=stdin; out=stdout; return (char*)0; }
1553
1554 int main() {
1555
1556 (void) blubb();
1557
1558 ; return 0; }
1559 EOF
1560 if { (eval echo configure:1561: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1561 rm -rf conftest*
1562 have_stdio=yes
1563 else
1564 echo "configure: failed program was:" >&5
1565 cat conftest.$ac_ext >&5
1566 rm -rf conftest*
1567 cat >> confdefs.h <<\EOF
1568 #define HAVE_STDIO 1
1569 EOF
1570
1571 have_stdio=no
1572 fi
1573 rm -f conftest*
1574 echo "$ac_t""$have_stdio" 1>&6
1575
1576 if test "$ac_cv_header_stdc" = "no" ; then
1577 for ac_hdr in stdarg.h varargs.h
1578 do
1579 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1580 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1581 echo "configure:1582: checking for $ac_hdr" >&5
1582 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1583 echo $ac_n "(cached) $ac_c" 1>&6
1584 else
1585 cat > conftest.$ac_ext <<EOF
1586 #line 1587 "configure"
1587 #include "confdefs.h"
1588 #include <$ac_hdr>
1589 EOF
1590 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1591 { (eval echo configure:1592: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1592 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1593 if test -z "$ac_err"; then
1594 rm -rf conftest*
1595 eval "ac_cv_header_$ac_safe=yes"
1596 else
1597 echo "$ac_err" >&5
1598 echo "configure: failed program was:" >&5
1599 cat conftest.$ac_ext >&5
1600 rm -rf conftest*
1601 eval "ac_cv_header_$ac_safe=no"
1602 fi
1603 rm -f conftest*
1604 fi
1605 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1606 echo "$ac_t""yes" 1>&6
1607 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1608 cat >> confdefs.h <<EOF
1609 #define $ac_tr_hdr 1
1610 EOF
1611
1612 else
1613 echo "$ac_t""no" 1>&6
1614 fi
1615 done
1616
1617 if test "$ac_cv_header_stdarg_h" = "no" ; then
1618 if test "$ac_cv_header_varargs_h" = "no" ; then
1619 { echo "configure: error: neither stdarg.h nor varargs.h present" 1>&2; exit 1; }
1620 fi
1621 fi
1622 fi
1623
1624 #
1625 # Check whether this is a DOS-Based system. Another bogus test.
1626 # Don't even bother to print a message. This code is needed so
1627 # that autoheader includes the #undef into the final config.h
1628 # and we can change the definition by hand on a really DOS
1629 # system (where ./configure doesn't work anyway ...)
1630 #
1631
1632 if false ; then
1633 cat >> confdefs.h <<\EOF
1634 #define SYSTEM_DOS 1
1635 EOF
1636
1637 cat >> confdefs.h <<\EOF
1638 #define SYSTEM_QUICKWIN 1
1639 EOF
1640
1641 cat >> confdefs.h <<\EOF
1642 #define SYSTEM_WINDLL 1
1643 EOF
1644
1645 cat >> confdefs.h <<\EOF
1646 #define SYSTEM_OS2 1
1647 EOF
1648
1649 fi
1650
1651 #
1652 # On some systems (so far, OS2 and WINDOWS), functions that are exported
1653 # from a DLL must be declared specifically.
1654 #
1655
1656 cat >> confdefs.h <<EOF
1657 #define UUEXPORT
1658 EOF
1659
1660 cat >> confdefs.h <<EOF
1661 #define TOOLEXPORT
1662 EOF
1663
1664
1665 #
1666 # set version number
1667 #
1668 echo $ac_n "checking version number""... $ac_c" 1>&6
1669 echo "configure:1670: checking version number" >&5
1670 version_number="$VERSION"pl"$PATCH"
1671 echo "$ac_t""$version_number" 1>&6
1672
1673
1674
1675 #
1676 # done
1677 #
1678
1679 trap '' 1 2 15
1680 cat > confcache <<\EOF
1681 # This file is a shell script that caches the results of configure
1682 # tests run on this system so they can be shared between configure
1683 # scripts and configure runs. It is not useful on other systems.
1684 # If it contains results you don't want to keep, you may remove or edit it.
1685 #
1686 # By default, configure uses ./config.cache as the cache file,
1687 # creating it if it does not exist already. You can give configure
1688 # the --cache-file=FILE option to use a different cache file; that is
1689 # what configure does when it calls configure scripts in
1690 # subdirectories, so they share the cache.
1691 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1692 # config.status only pays attention to the cache file if you give it the
1693 # --recheck option to rerun configure.
1694 #
1695 EOF
1696 # The following way of writing the cache mishandles newlines in values,
1697 # but we know of no workaround that is simple, portable, and efficient.
1698 # So, don't put newlines in cache variables' values.
1699 # Ultrix sh set writes to stderr and can't be redirected directly,
1700 # and sets the high bit in the cache file unless we assign to the vars.
1701 (set) 2>&1 |
1702 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1703 *ac_space=\ *)
1704 # `set' does not quote correctly, so add quotes (double-quote substitution
1705 # turns \\\\ into \\, and sed turns \\ into \).
1706 sed -n \
1707 -e "s/'/'\\\\''/g" \
1708 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1709 ;;
1710 *)
1711 # `set' quotes correctly as required by POSIX, so do not add quotes.
1712 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1713 ;;
1714 esac >> confcache
1715 if cmp -s $cache_file confcache; then
1716 :
1717 else
1718 if test -w $cache_file; then
1719 echo "updating cache $cache_file"
1720 cat confcache > $cache_file
1721 else
1722 echo "not updating unwritable cache $cache_file"
1723 fi
1724 fi
1725 rm -f confcache
1726
1727 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1728
1729 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1730 # Let make expand exec_prefix.
1731 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1732
1733 # Any assignment to VPATH causes Sun make to only execute
1734 # the first set of double-colon rules, so remove it if not needed.
1735 # If there is a colon in the path, we need to keep it.
1736 if test "x$srcdir" = x.; then
1737 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1738 fi
1739
1740 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1741
1742 DEFS=-DHAVE_CONFIG_H
1743
1744 # Without the "./", some shells look in PATH for config.status.
1745 : ${CONFIG_STATUS=./config.status}
1746
1747 echo creating $CONFIG_STATUS
1748 rm -f $CONFIG_STATUS
1749 cat > $CONFIG_STATUS <<EOF
1750 #! /bin/sh
1751 # Generated automatically by configure.
1752 # Run this file to recreate the current configuration.
1753 # This directory was configured as follows,
1754 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1755 #
1756 # $0 $ac_configure_args
1757 #
1758 # Compiler output produced by configure, useful for debugging
1759 # configure, is in ./config.log if it exists.
1760
1761 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1762 for ac_option
1763 do
1764 case "\$ac_option" in
1765 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1766 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1767 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1768 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1769 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1770 exit 0 ;;
1771 -help | --help | --hel | --he | --h)
1772 echo "\$ac_cs_usage"; exit 0 ;;
1773 *) echo "\$ac_cs_usage"; exit 1 ;;
1774 esac
1775 done
1776
1777 ac_given_srcdir=$srcdir
1778
1779 trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1780 EOF
1781 cat >> $CONFIG_STATUS <<EOF
1782
1783 # Protect against being on the right side of a sed subst in config.status.
1784 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1785 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1786 $ac_vpsub
1787 $extrasub
1788 s%@SHELL@%$SHELL%g
1789 s%@CFLAGS@%$CFLAGS%g
1790 s%@CPPFLAGS@%$CPPFLAGS%g
1791 s%@CXXFLAGS@%$CXXFLAGS%g
1792 s%@FFLAGS@%$FFLAGS%g
1793 s%@DEFS@%$DEFS%g
1794 s%@LDFLAGS@%$LDFLAGS%g
1795 s%@LIBS@%$LIBS%g
1796 s%@exec_prefix@%$exec_prefix%g
1797 s%@prefix@%$prefix%g
1798 s%@program_transform_name@%$program_transform_name%g
1799 s%@bindir@%$bindir%g
1800 s%@sbindir@%$sbindir%g
1801 s%@libexecdir@%$libexecdir%g
1802 s%@datadir@%$datadir%g
1803 s%@sysconfdir@%$sysconfdir%g
1804 s%@sharedstatedir@%$sharedstatedir%g
1805 s%@localstatedir@%$localstatedir%g
1806 s%@libdir@%$libdir%g
1807 s%@includedir@%$includedir%g
1808 s%@oldincludedir@%$oldincludedir%g
1809 s%@infodir@%$infodir%g
1810 s%@mandir@%$mandir%g
1811 s%@CC@%$CC%g
1812 s%@CPP@%$CPP%g
1813 s%@SET_MAKE@%$SET_MAKE%g
1814 s%@RANLIB@%$RANLIB%g
1815 s%@VERSION@%$VERSION%g
1816 s%@PATCH@%$PATCH%g
1817
1818 CEOF
1819 EOF
1820
1821 cat >> $CONFIG_STATUS <<\EOF
1822
1823 # Split the substitutions into bite-sized pieces for seds with
1824 # small command number limits, like on Digital OSF/1 and HP-UX.
1825 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1826 ac_file=1 # Number of current file.
1827 ac_beg=1 # First line for current file.
1828 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1829 ac_more_lines=:
1830 ac_sed_cmds=""
1831 while $ac_more_lines; do
1832 if test $ac_beg -gt 1; then
1833 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1834 else
1835 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1836 fi
1837 if test ! -s conftest.s$ac_file; then
1838 ac_more_lines=false
1839 rm -f conftest.s$ac_file
1840 else
1841 if test -z "$ac_sed_cmds"; then
1842 ac_sed_cmds="sed -f conftest.s$ac_file"
1843 else
1844 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1845 fi
1846 ac_file=`expr $ac_file + 1`
1847 ac_beg=$ac_end
1848 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1849 fi
1850 done
1851 if test -z "$ac_sed_cmds"; then
1852 ac_sed_cmds=cat
1853 fi
1854 EOF
1855
1856 cat >> $CONFIG_STATUS <<EOF
1857
1858 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1859 EOF
1860 cat >> $CONFIG_STATUS <<\EOF
1861 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1862 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1863 case "$ac_file" in
1864 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1865 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1866 *) ac_file_in="${ac_file}.in" ;;
1867 esac
1868
1869 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1870
1871 # Remove last slash and all that follows it. Not all systems have dirname.
1872 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1873 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1874 # The file is in a subdirectory.
1875 test ! -d "$ac_dir" && mkdir "$ac_dir"
1876 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1877 # A "../" for each directory in $ac_dir_suffix.
1878 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1879 else
1880 ac_dir_suffix= ac_dots=
1881 fi
1882
1883 case "$ac_given_srcdir" in
1884 .) srcdir=.
1885 if test -z "$ac_dots"; then top_srcdir=.
1886 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1887 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1888 *) # Relative path.
1889 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1890 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1891 esac
1892
1893
1894 echo creating "$ac_file"
1895 rm -f "$ac_file"
1896 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1897 case "$ac_file" in
1898 *Makefile*) ac_comsub="1i\\
1899 # $configure_input" ;;
1900 *) ac_comsub= ;;
1901 esac
1902
1903 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1904 sed -e "$ac_comsub
1905 s%@configure_input@%$configure_input%g
1906 s%@srcdir@%$srcdir%g
1907 s%@top_srcdir@%$top_srcdir%g
1908 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1909 fi; done
1910 rm -f conftest.s*
1911
1912 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1913 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1914 #
1915 # ac_d sets the value in "#define NAME VALUE" lines.
1916 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1917 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1918 ac_dC='\3'
1919 ac_dD='%g'
1920 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1921 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1922 ac_uB='\([ ]\)%\1#\2define\3'
1923 ac_uC=' '
1924 ac_uD='\4%g'
1925 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1926 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1927 ac_eB='$%\1#\2define\3'
1928 ac_eC=' '
1929 ac_eD='%g'
1930
1931 if test "${CONFIG_HEADERS+set}" != set; then
1932 EOF
1933 cat >> $CONFIG_STATUS <<EOF
1934 CONFIG_HEADERS="config.h"
1935 EOF
1936 cat >> $CONFIG_STATUS <<\EOF
1937 fi
1938 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1939 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1940 case "$ac_file" in
1941 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1942 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1943 *) ac_file_in="${ac_file}.in" ;;
1944 esac
1945
1946 echo creating $ac_file
1947
1948 rm -f conftest.frag conftest.in conftest.out
1949 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1950 cat $ac_file_inputs > conftest.in
1951
1952 EOF
1953
1954 # Transform confdefs.h into a sed script conftest.vals that substitutes
1955 # the proper values into config.h.in to produce config.h. And first:
1956 # Protect against being on the right side of a sed subst in config.status.
1957 # Protect against being in an unquoted here document in config.status.
1958 rm -f conftest.vals
1959 cat > conftest.hdr <<\EOF
1960 s/[\\&%]/\\&/g
1961 s%[\\$`]%\\&%g
1962 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1963 s%ac_d%ac_u%gp
1964 s%ac_u%ac_e%gp
1965 EOF
1966 sed -n -f conftest.hdr confdefs.h > conftest.vals
1967 rm -f conftest.hdr
1968
1969 # This sed command replaces #undef with comments. This is necessary, for
1970 # example, in the case of _POSIX_SOURCE, which is predefined and required
1971 # on some systems where configure will not decide to define it.
1972 cat >> conftest.vals <<\EOF
1973 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1974 EOF
1975
1976 # Break up conftest.vals because some shells have a limit on
1977 # the size of here documents, and old seds have small limits too.
1978
1979 rm -f conftest.tail
1980 while :
1981 do
1982 ac_lines=`grep -c . conftest.vals`
1983 # grep -c gives empty output for an empty file on some AIX systems.
1984 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1985 # Write a limited-size here document to conftest.frag.
1986 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1987 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1988 echo 'CEOF
1989 sed -f conftest.frag conftest.in > conftest.out
1990 rm -f conftest.in
1991 mv conftest.out conftest.in
1992 ' >> $CONFIG_STATUS
1993 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1994 rm -f conftest.vals
1995 mv conftest.tail conftest.vals
1996 done
1997 rm -f conftest.vals
1998
1999 cat >> $CONFIG_STATUS <<\EOF
2000 rm -f conftest.frag conftest.h
2001 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
2002 cat conftest.in >> conftest.h
2003 rm -f conftest.in
2004 if cmp -s $ac_file conftest.h 2>/dev/null; then
2005 echo "$ac_file is unchanged"
2006 rm -f conftest.h
2007 else
2008 # Remove last slash and all that follows it. Not all systems have dirname.
2009 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
2010 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
2011 # The file is in a subdirectory.
2012 test ! -d "$ac_dir" && mkdir "$ac_dir"
2013 fi
2014 rm -f $ac_file
2015 mv conftest.h $ac_file
2016 fi
2017 fi; done
2018
2019 EOF
2020 cat >> $CONFIG_STATUS <<EOF
2021
2022 EOF
2023 cat >> $CONFIG_STATUS <<\EOF
2024
2025 exit 0
2026 EOF
2027 chmod +x $CONFIG_STATUS
2028 rm -fr confdefs* $ac_clean_files
2029 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
2030
2031